Which web browser should I use for the proxy server?

A browser that supports an Automatic Proxy Configuration feature is required. We recommend that you use a modern browser for which security updates are provided, such as Firefox 10+, Microsoft Internet Explorer 8+, Google Chrome 17+, or Safari 4+.

Questions? Ask Us!